# Generated by Django 4.2.6 on 2023-10-17 09:18

import uuid

from django.db import migrations, models

import common.deconstructibles


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Image",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                (
                    "uuid",
                    models.UUIDField(
                        db_index=True, default=uuid.uuid4, editable=False, unique=True
                    ),
                ),
                (
                    "image",
                    models.ImageField(
                        height_field="height",
                        upload_to=common.deconstructibles.upload_to("uploads/%Y/%m/%d"),
                        width_field="width",
                    ),
                ),
                (
                    "image_type",
                    models.CharField(
                        choices=[("post", "Post"), ("avatar", "Avatar")], default="post"
                    ),
                ),
                ("width", models.PositiveSmallIntegerField(default=0)),
                ("height", models.PositiveSmallIntegerField(default=0)),
            ],
            options={
                "verbose_name": "Картинка",
                "verbose_name_plural": "Картинки",
            },
        ),
    ]
